net.corda.node.services.transactions

## Class BFTSMaRt

- net.corda.node.services.transactions.BFTSMaRt

-     public class BFTSMaRt

  Implements a replicated transaction commit log based on the BFT-SMaRt consensus algorithm. Every replica in the cluster is running a `class BFTSMaRt.Server` maintaining the state, and a`class BFTSMaRt.Client` is used to to relay state modification requests to all `class BFTSMaRt.Server`s.

  See Also:
    BFT-SMaRt, `class BFTSMaRt.Server`, `class BFTSMaRt.Client`, `class BFTSMaRt.Server`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BFTSMaRt.Client`
    `static class` | `BFTSMaRt.ClusterResponse` An aggregate response from all replica (`class BFTSMaRt.Server`) replies sent from `class BFTSMaRt.Client` back to the calling application.
    `static class` | `BFTSMaRt.CommitRequest` Sent from `class BFTSMaRt.Client` to `class BFTSMaRt.Server`.
    `static class` | `BFTSMaRt.ReplicaResponse` Sent from `class BFTSMaRt.Server` to `class BFTSMaRt.Client`.
    `static class` | `BFTSMaRt.Server` Maintains the commit log and executes commit commands received from the `class BFTSMaRt.Client`.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BFTSMaRt` | `INSTANCE` Implements a replicated transaction commit log based on the BFT-SMaRt consensus algorithm. Every replica in the cluster is running a `class BFTSMaRt.Server` maintaining the state, and a`class BFTSMaRt.Client` is used to to relay state modification requests to all `class BFTSMaRt.Server`s.

- - ### Field Detail

    - #### INSTANCE

          public static BFTSMaRt INSTANCE

      Implements a replicated transaction commit log based on the BFT-SMaRt consensus algorithm. Every replica in the cluster is running a `class BFTSMaRt.Server` maintaining the state, and a`class BFTSMaRt.Client` is used to to relay state modification requests to all `class BFTSMaRt.Server`s.

      See Also:
        BFT-SMaRt, `class BFTSMaRt.Server`, `class BFTSMaRt.Client`, `class BFTSMaRt.Server`